## org.eclipse.datatools.connectivity
Interface IPropertySetChangeEvent

    public interface IPropertySetChangeEvent

Represents changes made to a property set associated with a connection profile.

Author:
  rcernich Created on Jun 1, 2006

Nested Class Summary
`static interface` `IPropertySetChangeEvent.IChangedProperty` Used to present changes made to a particular property to the consumer.

Method Summary
`java.util.Map` `getChangedProperties()` Returns a Map object representing the properties that have been changed.
`IPropertySetChangeEvent.IChangedProperty` `getChangedProperty(java.lang.String id)` Returns the property changes for the specified ID; null if no changes were made.
`IConnectionProfile` `getConnectionProfile()`
`java.lang.String` `getPropertySetType()` Returns the ID of the property set that was changed.

Method Detail

### getConnectionProfile

    IConnectionProfile getConnectionProfile()

  Returns:
    the connection profile on which the changes occurred

### getPropertySetType

    java.lang.String getPropertySetType()

  Returns the ID of the property set that was changed. Changes to the base property set can be identified by getPropertySetType().equals(getConnectionProfile().getProviderId()).

  Returns:
    the ID of the property set that was changed.

### getChangedProperties

    java.util.Map getChangedProperties()

  Returns a Map object representing the properties that have been changed. The map is of the form: key == property ID value == IChangedProperty

  Returns:
    the properties that were changed.

### getChangedProperty

    IPropertySetChangeEvent.IChangedProperty getChangedProperty(java.lang.String id)

  Returns the property changes for the specified ID; null if no changes were made.

  Parameters:
    `id` - the property ID
  Returns:
    the property changes for the specified ID; null if no changes were made.